Represents a 'value' or field in a row or record. See Record A Prop has a corresponding PropertyDef that describes the property. Like an Record, a Prop may also have Annotations (style annotations), but these apply to the property only

### Hierarchy

- Property

## Index

### Constructors

- constructor

### Properties

- annotations
- format
- name
- type
- value

### Accessors

- backgroundColor
- comparable
- foregroundColor
- imageName
- imagePlacement
- isBoldText
- isItalicText
- isPlacementCenter
- isPlacementLeft
- isPlacementRight
- isPlacementStretchUnder
- isPlacementUnder
- isUnderline
- overrideText
- tipText
- valueForWrite

### Methods

- equals
- toJSON
- fromJSON
- parseJSONValue
- valueForCompare

## Constructors

### constructor

- new Property(name: string, value: any, format?: string, annotations?: DataAnnotation[]): Property

- - Defined in models/Property.ts:73

  #### Parameters

  - ##### name: string

  - ##### value: any

  - ##### Optional format: string

  - ##### Default value annotations: DataAnnotation[] = []

  #### Returns Property

## Properties

### annotations

annotations: DataAnnotation[]

- Defined in models/Property.ts:86

### Optional format

format: string

- Defined in models/Property.ts:85

### name

name: string

- Defined in models/Property.ts:83

### Private type

type: string = TypeNames.PropertyTypeName

- Defined in models/Property.ts:23

### value

value: any

- Defined in models/Property.ts:84

## Accessors

### backgroundColor

- get backgroundColor(): string

- - Defined in models/Property.ts:93

  #### Returns string

### comparable

- get comparable(): any

- - Defined in models/Property.ts:152

  Get a primative value appropriate for comparison

  #### Returns any

### foregroundColor

- get foregroundColor(): string

- - Defined in models/Property.ts:97

  #### Returns string

### imageName

- get imageName(): string

- - Defined in models/Property.ts:101

  #### Returns string

### imagePlacement

- get imagePlacement(): string

- - Defined in models/Property.ts:105

  #### Returns string

### isBoldText

- get isBoldText(): boolean

- - Defined in models/Property.ts:109

  #### Returns boolean

### isItalicText

- get isItalicText(): boolean

- - Defined in models/Property.ts:113

  #### Returns boolean

### isPlacementCenter

- get isPlacementCenter(): boolean

- - Defined in models/Property.ts:117

  #### Returns boolean

### isPlacementLeft

- get isPlacementLeft(): boolean

- - Defined in models/Property.ts:121

  #### Returns boolean

### isPlacementRight

- get isPlacementRight(): boolean

- - Defined in models/Property.ts:125

  #### Returns boolean

### isPlacementStretchUnder

- get isPlacementStretchUnder(): boolean

- - Defined in models/Property.ts:129

  #### Returns boolean

### isPlacementUnder

- get isPlacementUnder(): boolean

- - Defined in models/Property.ts:133

  #### Returns boolean

### isUnderline

- get isUnderline(): boolean

- - Defined in models/Property.ts:137

  #### Returns boolean

### overrideText

- get overrideText(): string

- - Defined in models/Property.ts:141

  #### Returns string

### tipText

- get tipText(): string

- - Defined in models/Property.ts:145

  #### Returns string

### valueForWrite

- get valueForWrite(): any

- - Defined in models/Property.ts:159

  #### Returns any

## Methods

### equals

- equals(prop: Property): boolean

- - Defined in models/Property.ts:89

  #### Parameters

  - ##### prop: Property

  #### Returns boolean

### toJSON

- toJSON(): object

- - Defined in models/Property.ts:184

  #### Returns object

  - ##### format: null

  - ##### name: string

  - ##### propertyType: null

  - ##### type: TypeNames

  - ##### value: any

### Static fromJSON

- fromJSON(jsonObject: StringDictionary, modelUtil: ModelUtil): Promise<Property>

- - Defined in models/Property.ts:25

  #### Parameters

  - ##### jsonObject: StringDictionary

  - ##### modelUtil: ModelUtil

  #### Returns Promise<Property>

### Static Private parseJSONValue

- parseJSONValue(value: any, format: string, modelUtil: ModelUtil): Promise<any>

- - Defined in models/Property.ts:199

  #### Parameters

  - ##### value: any

  - ##### format: string

  - ##### modelUtil: ModelUtil

  #### Returns Promise<any>

### Static valueForCompare

- valueForCompare(o: any): any

- - Defined in models/Property.ts:44

  Produce a value that can be used for comparison purposes Props considered 'equal' should produce the same identity value

  #### Parameters

  - ##### o: any

  #### Returns any

Generated using TypeDoc